Page MenuHomeFreeBSD

deskutils/xfce4-notification-daemon: Mark DEPRECATED
ClosedPublic

Authored by woodsb02 on Jul 12 2016, 9:44 PM.

Details

Summary
deskutils/xfce4-notification-daemon: Mark DEPRECATED

No longer maintained upstream, replaced by deskutils/xfce4-notifyd

Additionally deprecated by USE_XFCE=libgui [1]

[1] https://svnweb.freebsd.org/ports/head/Mk/Uses/xfce.mk?revision=411970

Approved by: ehaupt (maintainer)
Approved by: foo (mentor)
DiffRev: DXXX

Based on feedback from olivierd here:
https://reviews.freebsd.org/D6981#inline-43292

Test Plan
  • portlint: result TBA
  • testport: result TBA
  • make -VDEPRECATED -VEXPIRATION_DATE:

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

woodsb02 updated this revision to Diff 18344.Jul 12 2016, 9:44 PM
woodsb02 retitled this revision from to deskutils/xfce4-notification-daemon: Mark as deprecated.
woodsb02 updated this object.
woodsb02 edited the test plan for this revision. (Show Details)
woodsb02 added reviewers: adamw, mat, koobs, olivierd.
woodsb02 added a subscriber: xfce.

olivierd - what are your thoughts on deprecating deskutils/xfce4-notification-daemon?

woodsb02 removed a subscriber: xfce.
mat accepted this revision.Oct 22 2016, 1:09 PM
mat edited edge metadata.
This revision is now accepted and ready to land.Oct 22 2016, 1:09 PM
olivierd edited edge metadata.Oct 22 2016, 2:43 PM

Why to accept this changes, without informed the maintainer (ehaupt)?

mat added a comment.Oct 22 2016, 3:39 PM

Why to accept this changes, without informed the maintainer (ehaupt)?

I accepted the change as Ben's mentor.

ehaupt: What do you think about marking deskutils/xfce4-notification-daemon as deprecated and then removing it from ports 1 month later? My understanding is that it is no longer maintained and is fully replaced by deskutils/xfce4-notifyd?

It is also worth noting that deskutils/xfce4-notification-daemon is already marked deprecated due to USE_XFCE=libgui:
https://svnweb.freebsd.org/ports/head/Mk/Uses/xfce.mk?revision=411970&view=markup#l101

koobs retitled this revision from deskutils/xfce4-notification-daemon: Mark as deprecated to deskutils/xfce4-notification-daemon: Mark DEPRECATED.Oct 23 2016, 2:49 AM
koobs updated this object.
koobs edited the test plan for this revision. (Show Details)
koobs edited edge metadata.EditedOct 23 2016, 2:52 AM

@woodsb02 Please use the SUMMARY field as the proposed commit log (i've updated it this time to provide example).

Besides ensuring all relevant context is included at review time without having to hunt in comments or elsewhere, it also ensures this context is included in the commit log message itself (as it should), and makes approval requirements and other commit log metadata (and your understanding of it) explicit.

koobs added a comment.Oct 23 2016, 2:54 AM

Please also include test results in the test plan section, not just a description/list of what will/has been run

ehaupt accepted this revision.Oct 23 2016, 10:00 AM
ehaupt edited edge metadata.

ehaupt: What do you think about marking deskutils/xfce4-notification-daemon as deprecated and then removing it from ports 1 month later? My understanding is that it is no longer maintained and is fully replaced by deskutils/xfce4-notifyd?
It is also worth noting that deskutils/xfce4-notification-daemon is already marked deprecated due to USE_XFCE=libgui:
https://svnweb.freebsd.org/ports/head/Mk/Uses/xfce.mk?revision=411970&view=markup#l101

At this point deprecating the port makes sense. As maintainer I approve this change.

This revision was automatically updated to reflect the committed changes.